%define name		mod_auth_tacacs
%define apachever	1.3.4
%define	authtacacsver	1.0.2
%define version		%{apachever}
%define release		2

Name: apache-%{name}
Version: %{version}
Release: %{release}
BuildRoot: /tmp/build-%{name}
Packager: Ronan-Yann Lorin <lorin@adesium-services.fr>
Prefix: /usr
Copyright: ???
URL: http://www.apache.org/
Summary: TACACS+ authentication for Apache
Group: Networking/Daemons
Requires: apache = %{apachever}
 
Source: ftp://.../mod_auth_tacacs-%{authtacacsver}.tgz
Source1: mod_auth_tacacs.conf
Source2: ftp://.../libtacacs.tar.gz
Patch: mod_auth_tacacs.patch

%description
TACACS+ authentication for Apache
mod_auth_tacacs %{authtacacsver} for Apache %{apachever}


%prep

# Extract mod_auth_tacacs from archive
%setup -n mod_auth_tacacs-%{authtacacsver}
%setup -n mod_auth_tacacs-%{authtacacsver} -T -D -a 2

%patch

%build

(cd libtacacs; make CFLAGS="$RPM_OPT_FLAGS -fpic -DUSE_SYSLOG=1")
/usr/sbin/apxs -c -l tacacs -L ./libtacacs -I ./libtacacs mod_auth_tacacs.c


%install
if [ `echo "$RPM_BUILD_ROOT" | cut -c 1-5` = "/tmp/" ]; then
	rm -rf "$RPM_BUILD_ROOT"
fi

mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
install %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/conf
mkdir -p $RPM_BUILD_ROOT/usr/libexec/apache
install mod_auth_tacacs.so $RPM_BUILD_ROOT/usr/libexec/apache


%clean
if [ `echo "$RPM_BUILD_ROOT" | cut -c 1-5` = "/tmp/" ]; then
	rm -rf "$RPM_BUILD_ROOT"
fi


%files
%defattr(644 httpd httpd 755)
%attr( - ,root,root)  %doc README docs
%attr( - ,root,root)  /etc/httpd/conf/mod_auth_tacacs.conf
%attr( - ,root,root)  /usr/libexec/apache/mod_auth_tacacs.so

